# Uncomment line below to force pipe backend (otherwise it will be autodetected)
#backend=pipe

# Sockets that all programs connect to to receive a logging pipe.
main_conn_sock=/run/dlog/main.conn
apps_conn_sock=/run/dlog/apps.conn
system_conn_sock=/run/dlog/system.conn
radio_conn_sock=/run/dlog/radio.conn

# Sockets that administrative programs connect to to manipulate the daemon.
main_ctl_sock=/run/dlog/main.ctl
apps_ctl_sock=/run/dlog/apps.ctl
system_ctl_sock=/run/dlog/system.ctl
radio_ctl_sock=/run/dlog/radio.ctl

# Permissions for the relevant sockets.
main_conn_sock_rights=0222
apps_conn_sock_rights=0222
system_conn_sock_rights=0222
radio_conn_sock_rights=0222

main_ctl_sock_rights=0220
apps_ctl_sock_rights=0220
system_ctl_sock_rights=0220
radio_ctl_sock_rights=0220

# Size (in bytes) of internal cyclic buffers.
main_size=1048576
apps_size=1048576
system_size=1048576
radio_size=1048576

# Daemon's sorting method, ideally same as whichever util uses.
# The 4 possible values are "{sent,recv}_{mono,real}".
# Defaults to recv_mono
#sort_by=recv_mono

# Passive logging to file done by the daemon.
#
# NOTE: Do not change the following key names!  When different backend
#       is used (eg. logger, via 25-logger.conf) these will be overriden.
# dlog_logger_conf_kmsg=dlogutil -b kmsg -r 256 -n 1 -f /var/log/dlog/kernel -v kerneltime
